Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCTypeSimple

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCTypeSimple

All Implemented Interfaces:
  JDBCType

public final class JDBCTypeSimple
extends Object
implements JDBCType

This class provides a simple mapping of a Java type type to a single column.

Version:
  $Revision: 1.9 $
Author:
  Dain Sundstrom, Alexey Loubyansky

Constructor Summary
`JDBCTypeSimple(String columnName, Class javaType, int jdbcType, String sqlType, boolean notNull, boolean autoIncrement, Mapper mapper, JDBCParameterSetter paramSetter, JDBCResultSetReader resultReader)`

Method Summary
`boolean[]` | `getAutoIncrement()`
`String[]` | `getColumnNames()`
`Object` | `getColumnValue(int index, Object value)`
`Class[]` | `getJavaTypes()`
`int[]` | `getJDBCTypes()`
`boolean[]` | `getNotNull()`
`JDBCParameterSetter[]` | `getParameterSetter()`
`JDBCResultSetReader[]` | `getResultSetReaders()`
`String[]` | `getSQLTypes()`
`Object` | `setColumnValue(int index, Object value, Object columnValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCTypeSimple

    public JDBCTypeSimple(String columnName,
                          Class javaType,
                          int jdbcType,
                          String sqlType,
                          boolean notNull,
                          boolean autoIncrement,
                          Mapper mapper,
                          JDBCParameterSetter paramSetter,
                          JDBCResultSetReader resultReader)

Method Detail

### getColumnNames

    public final String[] getColumnNames()

  Specified by:
    `getColumnNames` in interface `JDBCType`

### getJavaTypes

    public final Class[] getJavaTypes()

  Specified by:
    `getJavaTypes` in interface `JDBCType`

### getJDBCTypes

    public final int[] getJDBCTypes()

  Specified by:
    `getJDBCTypes` in interface `JDBCType`

### getSQLTypes

    public final String[] getSQLTypes()

  Specified by:
    `getSQLTypes` in interface `JDBCType`

### getNotNull

    public final boolean[] getNotNull()

  Specified by:
    `getNotNull` in interface `JDBCType`

### getAutoIncrement

    public final boolean[] getAutoIncrement()

  Specified by:
    `getAutoIncrement` in interface `JDBCType`

### getColumnValue

    public final Object getColumnValue(int index,
                                       Object value)

  Specified by:
    `getColumnValue` in interface `JDBCType`

### setColumnValue

    public final Object setColumnValue(int index,
                                       Object value,
                                       Object columnValue)

  Specified by:
    `setColumnValue` in interface `JDBCType`

### getResultSetReaders

    public final JDBCResultSetReader[] getResultSetReaders()

  Specified by:
    `getResultSetReaders` in interface `JDBCType`

### getParameterSetter

    public JDBCParameterSetter[] getParameterSetter()

  Specified by:
    `getParameterSetter` in interface `JDBCType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.